osl::eval::ml::RookPawnY Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::RookPawnY Class Reference

`#include <majorPiece.h>`

Collaboration diagram for osl::eval::ml::RookPawnY:
[legend]

## Public Types
enum | { ONE_DIM = 180, DIM = ONE_DIM * EvalStages }

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state, const CArray2d< int, 2, 9 > &pawns)

## Static Private Member Functions
static int | index (const Piece rook, const int pawn_y)
static int | indexY (const Square king, const Piece rook, int pawn_y)

## Static Private Attributes
static CArray< MultiInt, 180 > | table
static CArray< MultiInt, 1620 > | y_attack_table
static CArray< MultiInt, 1620 > | y_defense_table

## Friends
class | RookPawnYX

## Detailed Description

Definition at line 83 of file majorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 87 of file majorPiece.h.

## Member Function Documentation

MultiInt osl::eval::ml::RookPawnY::eval | ( | const NumEffectState & | state,
|  | const CArray2d< int, 2, 9 > & | pawns
| ) |  |
| static

Definition at line 85 of file majorPiece.cc.

References osl::BLACK, osl::Piece::isOnBoard(), osl::Piece::owner(), result, osl::Piece::square(), osl::WHITE, and osl::Square::x().

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

static int osl::eval::ml::RookPawnY::index | ( | const Piece | rook,
|  | const int | pawn_y
| ) |  |
| inlinestaticprivate

Definition at line 92 of file majorPiece.h.

References osl::BLACK, osl::Piece::isPromoted(), osl::Piece::owner(), osl::Piece::square(), and osl::Square::y().

static int osl::eval::ml::RookPawnY::indexY | ( | const Square | king,
|  | const Piece | rook,
|  | int | pawn_y
| ) |  |
| inlinestaticprivate

Definition at line 98 of file majorPiece.h.

References osl::BLACK, osl::Piece::isPromoted(), osl::Piece::owner(), osl::Piece::square(), osl::Square::x(), and osl::Square::y().

void osl::eval::ml::RookPawnY::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 75 of file majorPiece.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend class RookPawnYX
| friend

Definition at line 85 of file majorPiece.h.

## Member Data Documentation

osl::misc::CArray< MultiInt, 180 > osl::eval::ml::RookPawnY::table
| staticprivate

Definition at line 106 of file majorPiece.h.

osl::misc::CArray< MultiInt, 1620 > osl::eval::ml::RookPawnY::y_attack_table
| staticprivate

Definition at line 107 of file majorPiece.h.

osl::misc::CArray< MultiInt, 1620 > osl::eval::ml::RookPawnY::y_defense_table
| staticprivate

Definition at line 108 of file majorPiece.h.

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc